Você não está autenticado.

Anúncio

Arch Linux Brasil está precisando de sua colaboração para realizar o pagamento do domínio e do host, para colaborar, realizar doações via paypal.

Para mais informações: contato at archlinux-br.org.

#1 13/09/2017 06:44:23

lordbaiano
Membro
Registrado: 13/09/2017
Mensagens: 8

Ajuda com instalação de pacotes AUR. [RESOLVIDO]

Estou aprendendo a usar o Linux agora, baixei o Arch Linux (Mesmo sabendo que não é recomendada para iniciantes)
Já aprendi muita coisa e pretendo aprender muito com o tempo.
Queria instalar o discord no sistema. Pra isso preciso instalar o pacote que está lá no User Repo.
Blz.
Quando eu dei o makepkg -si , na pasta do discord me deparei com o seguinte erro:

----------------------------------------------------------------------------------------------------------------------------------------------------------------
[[email protected] discord]$ makepkg -si
==> Criando o pacote: discord 0.0.2-1 (qua set 13 05:28:58 -03 2017)
==> Verificando as dependências de tempo de execução...
==> Instalando dependências não encontradas...
[sudo] senha para lucas:
erro: alvo não encontrado: libc++
==> ERRO: "pacman" falhou em instalar dependências não encontradas.
----------------------------------------------------------------------------------------------------------------------------------------------------------------

Não sei se é o certo, mas intuitivamente fui procurar um pacote do libc++ pra instalar.
E achei, também no User Repo.
Quando coloquei pra instalar, outro erro.

----------------------------------------------------------------------------------------------------------------------------------------------------------------
[[email protected] libc++]$ makepkg -si
==> Criando o pacote: libc++ 5.0.0-1 (qua set 13 05:35:26 -03 2017)
==> Verificando as dependências de tempo de execução...
==> Verificando as dependências de tempo de compilação...
==> Obtendo fontes...
  -> Encontrado llvm-5.0.0.src.tar.xz
  -> Encontrado llvm-5.0.0.src.tar.xz.sig
  -> Encontrado libcxx-5.0.0.src.tar.xz
  -> Encontrado libcxx-5.0.0.src.tar.xz.sig
  -> Encontrado libcxxabi-5.0.0.src.tar.xz
  -> Encontrado libcxxabi-5.0.0.src.tar.xz.sig
==> Validando source arquivos com sha512sums...
    llvm-5.0.0.src.tar.xz ... Passou
    llvm-5.0.0.src.tar.xz.sig ... Ignorada
    libcxx-5.0.0.src.tar.xz ... Passou
    libcxx-5.0.0.src.tar.xz.sig ... Ignorada
    libcxxabi-5.0.0.src.tar.xz ... Passou
    libcxxabi-5.0.0.src.tar.xz.sig ... Ignorada
==> Verificando assinatura de arquivo fonte com gpg...
    llvm-5.0.0.src.tar.xz ... FALHOU (chave pública desconhecida 0FC3042E345AD05D)
    libcxx-5.0.0.src.tar.xz ... FALHOU (chave pública desconhecida 0FC3042E345AD05D)
    libcxxabi-5.0.0.src.tar.xz ... FALHOU (chave pública desconhecida 0FC3042E345AD05D)
==> ERRO: Uma ou mais assinaturas PGP não puderam ser verificadas!

O que eu faço? Vi algumas soluções na internet, mas não me ajudaram muito hmm

Última edição por lordbaiano (14/09/2017 23:14:52)

Offline

#2 13/09/2017 23:39:12

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.951

Offline

#3 14/09/2017 22:21:15

lordbaiano
Membro
Registrado: 13/09/2017
Mensagens: 8

Re: Ajuda com instalação de pacotes AUR. [RESOLVIDO]

Galera, resolvi e decidi colocar a resposta pra ajudar alguém que não saiba.
Você vai ter que adicionar a chave.
Pra isso você terá que cria-la e você fará isso com os seguintes comandos:
Abra o terminal e rode o comando:

$ gpg --ful-gen-key

Siga os passos. Depois rode os seguintes comandos com as keys que presentes no erro.

$ gpg --recv-key (chave/key)         ( No caso ficaria assim: gpg --recv-key 0A11B61D3657B901 )
$ gpg --lsign (chave/key)               ( No caso ficaria assim: gpg --lsign 0A11B61D3657B901)

No meio do caminho você vai ter que colocar seu nome e-mail, e criar uma senha, faça isso. Depois é só instalar o pacote.

Última edição por lordbaiano (14/09/2017 22:22:25)

Offline

#4 14/09/2017 23:32:25

swatquest
Moderador
Registrado: 05/10/2010
Mensagens: 1.951

Re: Ajuda com instalação de pacotes AUR. [RESOLVIDO]

foi mal, cara.

acabei não lendo tudo e não entendi direito a problema..

foi mal..

sugestão
https://forum.archlinux-br.org/viewtopi … 372#p29372

fonte: https://bbs.archlinux.org/viewtopic.php?id=152337

Faça o procedimento abaixo:

como usuário comun execute
gpg --list-keys

Criará um banco de dados gpg (~/.gnupg) para o seu atual usuário, caso não esteja presente.

Adicione no final do ~/.gnupg/gpg.conf. Crie o arquivo caso não exista.

keyring /etc/pacman.d/gnupg/pubring.gpg

depois é só adiconar a chave
pacman-key -r <key>

pacman-key -r 0A11B61D3657B901

e para remover

pacman-key -d 0A11B61D3657B901

Última edição por swatquest (15/09/2017 00:11:11)

Offline

#5 15/09/2017 17:57:38

lordbaiano
Membro
Registrado: 13/09/2017
Mensagens: 8

Re: Ajuda com instalação de pacotes AUR. [RESOLVIDO]

D boaa, valeu. O importante é que resolveu o problema <3

Offline

Rodapé do site